resources:
  App\Entity\User\Info\ActivityInfo:
    security: 'is_granted("ROLE_INTERNAL") or is_granted("ROLE_API_KEY")'
    securityMessage: 'You are not authorized to access this resource.'
    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'activity_info.order_filter', 'activity_info.search_filter', 'activity_info.exist_filter' ]
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: ActivityInfo - List.
          description: >
            Retrieves a list of ActivityInfo
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'activity_info:read'

      ApiPlatform\Metadata\Get:
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: ActivityInfo - Item.
          description: >
            Retrieves a item of ActivityInfo
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'activity_info:read'

      ApiPlatform\Metadata\Put:
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: ActivityInfo - Update.
          description: >
            update an item of ActivityInfo
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'activity_info:read'
        denormalizationContext:
          groups:
            - 'activity_info:write'

      ApiPlatform\Metadata\Delete:
        openapiContext:
          security:
            - JWT: [ 'ROLE_INTERNAL' ]
            - ApiKeyAuth: [ 'ROLE_API_KEY' ]
          summary: ActivityInfo - Delete.
          description: >
            delete an item of ActivityInfo